clang-tools 6.0.0

Namespaces | Enumerations | Functions
ProTypeMemberInitCheck.cpp File Reference
`#include "ProTypeMemberInitCheck.h"`
`#include "../utils/LexerUtils.h"`
`#include "../utils/Matchers.h"`
`#include "../utils/TypeTraits.h"`
`#include "clang/AST/ASTContext.h"`
`#include "clang/ASTMatchers/ASTMatchFinder.h"`
`#include "clang/Lex/Lexer.h"`
`#include "llvm/ADT/SmallPtrSet.h"`
Include dependency graph for ProTypeMemberInitCheck.cpp:

Go to the source code of this file.

## Namespaces
| clang
| clang::tidy
| clang::tidy::cppcoreguidelines

## Enumerations
enum | clang::tidy::cppcoreguidelines::@112::InitializerPlacement { clang::tidy::cppcoreguidelines::@112::InitializerPlacement::After, clang::tidy::cppcoreguidelines::@112::InitializerPlacement::Before, clang::tidy::cppcoreguidelines::@112::InitializerPlacement::New }

## Functions
static bool | clang::tidy::cppcoreguidelines::isIncompleteOrZeroLengthArrayType (ASTContext &Context, QualType T)
static bool | clang::tidy::cppcoreguidelines::isEmpty (ASTContext &Context, const QualType &Type)

## Enumeration Type Documentation

## ◆ InitializerPlacement

enum clang::tidy::cppcoreguidelines::@112::InitializerPlacement
| strong

Definition at line 90 of file ProTypeMemberInitCheck.cpp.

## Variable Documentation

## ◆ Initializers

SmallVector<std::string, 4> Initializers

Definition at line 160 of file ProTypeMemberInitCheck.cpp.

## ◆ Placement

InitializerPlacement Placement

Definition at line 158 of file ProTypeMemberInitCheck.cpp.

## ◆ Where

const CXXCtorInitializer* Where

Definition at line 159 of file ProTypeMemberInitCheck.cpp.